//////////////////////////////////////////////////////////////////////////////
//
//  Copyright 2025 by Autodesk, Inc.  All rights reserved.
//
// This computer source code and related instructions and comments 
// are the unpublished confidential and proprietary information of 
// Autodesk, Inc. and are protected under applicable copyright and 
// trade secret law.  They may not be disclosed to, copied or used 
// by any third party without the prior written consent of Autodesk, Inc.
//
//////////////////////////////////////////////////////////////////////////////
#ifndef __STDCSNTAPER_H
#define __STDCSNTAPER_H

///<summary>This is class AcmTaperStdCSN.</summary>
class STDIMP_DLLSHARE AcmTaperStdCSN : public AcmTaperStdISO
{
public:
  ACRX_DECLARE_MEMBERS(AcmTaperStdCSN);
  AcmTaperStdCSN();
  virtual ~AcmTaperStdCSN();

  const ACHAR* getDefaultRevClassName() const override;

  //this class is obsolete - do not create any object from that!
  Adesk::Boolean isCompatibleTo(const AcmStandard* pStd) const override
  {
      return Adesk::kFalse;
  }
};

#endif // __STDCSNTAPER_H